=== debian/control ===
Source: ros-dashing-rosbridge-server
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ros-workspace
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-dashing-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-tornado, python3-twisted, ros-dashing-rclpy, ros-dashing-rosapi, ros-dashing-rosauth, ros-dashing-rosbridge-library, ros-dashing-rosbridge-msgs, ros-dashing-ros-workspace
Description: A WebSocket interface to rosbridge.
